Ext.data.JsonP.de_epages_presentation_tray({"tagname":"class","name":"de_epages.presentation.tray","autodetected":{},"files":[{"filename":"tray.js","href":"tray2.html#de_epages-presentation-tray"}],"author":[{"tagname":"author","name":"Copyright 2006-2013, epages GmbH, All Rights Reserved","email":null}],"uses":["de_epages.presentation.tray.main-view","ep.ui.dialog","jQuery"],"return":{"type":"Object","name":"return","doc":"<p>Tray</p>\n","properties":null,"html_type":"Object"},"members":[{"name":"constructor","tagname":"method","owner":"de_epages.presentation.tray","id":"method-constructor","meta":{}},{"name":"close","tagname":"method","owner":"de_epages.presentation.tray","id":"method-close","meta":{}},{"name":"destroy","tagname":"method","owner":"de_epages.presentation.tray","id":"method-destroy","meta":{}},{"name":"open","tagname":"method","owner":"de_epages.presentation.tray","id":"method-open","meta":{}}],"alternateClassNames":[],"aliases":{},"id":"class-de_epages.presentation.tray","short_doc":"The tray creates a dialog which containes stuff. ...","component":false,"superclasses":[],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"html":"<div><pre class=\"hierarchy\"><h4>Uses</h4><div class='dependency'>de_epages.presentation.tray.main-view</div><div class='dependency'>ep.ui.dialog</div><div class='dependency'><a href='#!/api/jQuery' rel='jQuery' class='docClass'>jQuery</a></div><h4>Files</h4><div class='dependency'><a href='source/tray2.html#de_epages-presentation-tray' target='_blank'>tray.js</a></div></pre><div class='doc-contents'><p>The tray creates a dialog which containes stuff.</p>\n\n<h3>Example</h3>\n\n<pre><code>require(['de_epages/presentation/tray'], function (Tray) {\n\n    var tray = new Tray({\n        tabs: {\n            products: {\n                id: #Shop.ProductFolder.ID\n                action: 'JSONSearchProductsToInsert',\n                additionslContent: '&lt;a href=\"#\"&gt;Additional content&lt;/a&gt;'\n            }\n\n        },\n        dialog: {\n           title: 'Produkte hinzufÃ¼gen'\n        }\n    };\n\n    tray.open();\n});\n</code></pre>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'>Object</span><div class='sub-desc'><p>Tray</p>\n</div></li></ul></div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div id='method-constructor' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='de_epages.presentation.tray'>de_epages.presentation.tray</span><br/><a href='source/tray2.html#de_epages-presentation-tray-method-constructor' target='_blank' class='view-source'>view source</a></div><strong class='new-keyword'>new</strong><a href='#!/api/de_epages.presentation.tray-method-constructor' class='name expandable'>de_epages.presentation.tray</a>( <span class='pre'>_options</span> ) : Function<span class=\"signature\"></span></div><div class='description'><div class='short'>Creates a new tray instance ...</div><div class='long'><p>Creates a new tray instance</p>\n        <p>Available since: <b>6.17.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>_options</span> : Object<div class='sub-desc'>\n<ul><li><span class='pre'>useTray</span> : Boolean (optional)<div class='sub-desc'><p>Key-value-pairs of tab name and corresponding\n                                               view action</p>\n<p>Defaults to: <code>false</code></p></div></li><li><span class='pre'>tabs</span> : Object (optional)<div class='sub-desc'><p>Whether an explicit tray tab should be\n                                               displayed or not</p>\n<p>Defaults to: <code>undefined</code></p></div></li><li><span class='pre'>dialog</span> : Object (optional)<div class='sub-desc'><p>Options to initialize a uiDialog (see ep.ui.dialog)</p>\n</div></li></ul></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Function</span><div class='sub-desc'><p>Tray</p>\n</div></li></ul></div></div></div><div id='method-close' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='de_epages.presentation.tray'>de_epages.presentation.tray</span><br/><a href='source/tray2.html#de_epages-presentation-tray-method-close' target='_blank' class='view-source'>view source</a></div><a href='#!/api/de_epages.presentation.tray-method-close' class='name expandable'>close</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Closes the dialog ...</div><div class='long'><p>Closes the dialog</p>\n        <p>Available since: <b>6.17.0</b></p>\n</div></div></div><div id='method-destroy' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='de_epages.presentation.tray'>de_epages.presentation.tray</span><br/><a href='source/tray2.html#de_epages-presentation-tray-method-destroy' target='_blank' class='view-source'>view source</a></div><a href='#!/api/de_epages.presentation.tray-method-destroy' class='name expandable'>destroy</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Removes the DOM element ...</div><div class='long'><p>Removes the DOM element</p>\n        <p>Available since: <b>6.17.0</b></p>\n</div></div></div><div id='method-open' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='de_epages.presentation.tray'>de_epages.presentation.tray</span><br/><a href='source/tray2.html#de_epages-presentation-tray-method-open' target='_blank' class='view-source'>view source</a></div><a href='#!/api/de_epages.presentation.tray-method-open' class='name expandable'>open</a>( <span class='pre'>searchString, widget</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Initializes the dialog if none exists and opens it ...</div><div class='long'><p>Initializes the dialog if none exists and opens it</p>\n        <p>Available since: <b>6.17.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>searchString</span> : Object<div class='sub-desc'></div></li><li><span class='pre'>widget</span> : Object<div class='sub-desc'></div></li></ul></div></div></div></div></div></div></div>","meta":{}});