Ext.data.JsonP.jQuery_ui_customformUiCustomform({"tagname":"class","name":"jQuery.ui.customformUiCustomform","autodetected":{},"files":[{"filename":"customform.js","href":"customform.html#jQuery-ui-customformUiCustomform"}],"extends":"jQuery.widget","uses":["ep","ep.dict","ep.ui.dialog","ep.ui.validate","ep.validate","jQuery.dict","jQuery.fn.scrollTo","jQuery.metaparse","jQuery.tmpl","jQuery.ui.widget"],"since":"6.15.0","members":[{"name":"afterSaveDialog","tagname":"cfg","owner":"jQuery.ui.customformUiCustomform","id":"cfg-afterSaveDialog","meta":{}},{"name":"height","tagname":"cfg","owner":"jQuery.ui.customformUiCustomform","id":"cfg-height","meta":{}},{"name":"languageId","tagname":"cfg","owner":"jQuery.ui.customformUiCustomform","id":"cfg-languageId","meta":{}},{"name":"languages","tagname":"cfg","owner":"jQuery.ui.customformUiCustomform","id":"cfg-languages","meta":{}},{"name":"width","tagname":"cfg","owner":"jQuery.ui.customformUiCustomform","id":"cfg-width","meta":{}}],"alternateClassNames":[],"aliases":{},"id":"class-jQuery.ui.customformUiCustomform","short_doc":"Open a dialog to edit custom form fields. ...","component":false,"superclasses":["jQuery.widget"],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"html":"<div><pre class=\"hierarchy\"><h4>Hierarchy</h4><div class='subclass first-child'>jQuery.widget<div class='subclass '><strong>jQuery.ui.customformUiCustomform</strong></div></div><h4>Uses</h4><div class='dependency'><a href='#!/api/ep' rel='ep' class='docClass'>ep</a></div><div class='dependency'><a href='#!/api/ep.dict' rel='ep.dict' class='docClass'>ep.dict</a></div><div class='dependency'>ep.ui.dialog</div><div class='dependency'>ep.ui.validate</div><div class='dependency'><a href='#!/api/ep.validate' rel='ep.validate' class='docClass'>ep.validate</a></div><div class='dependency'>jQuery.dict</div><div class='dependency'>jQuery.fn.scrollTo</div><div class='dependency'>jQuery.metaparse</div><div class='dependency'>jQuery.tmpl</div><div class='dependency'>jQuery.ui.widget</div><h4>Files</h4><div class='dependency'><a href='source/customform.html#jQuery-ui-customformUiCustomform' target='_blank'>customform.js</a></div></pre><div class='doc-contents'><p>Open a dialog to edit custom form fields.</p>\n\n<p>The <code>.customformUiCustomform()</code> method opens a dialog when the element is clicked. The dialog can be used to edit new custom form fields.\nThe element has to contain two data attributes, data-formfieldid (representing the ID for the form field type, e.g. textarea, select ..) and data-objectid (representing the ID of the existing form field).</p>\n\n<h3>Examples</h3>\n\n<p>Edit a existing custom form field</p>\n\n<p>JavaScript:</p>\n\n<pre><code>de_epages('.editCustomField').customformUiCustomform({\n    width: 800,\n    height: 400,\n    languageId: 1,\n    languages: {'2' : 'English', '1' : 'Deutsch'},\n    afterSaveDialog: function (widget, data){\n        console.debug(widget, data);\n    }\n});\n</code></pre>\n\n<p>HTML:</p>\n\n<pre><code>&lt;a href=\"#\" class=\"editCustomField\" data-formfieldid=\"5094\" data-objectid=\"16211\"&gt;Feldname&lt;/a&gt;\n</code></pre>\n        <p>Available since: <b>6.15.0</b></p>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-cfg'>Config options</h3><div class='subsection'><div id='cfg-afterSaveDialog' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.customformUiCustomform'>jQuery.ui.customformUiCustomform</span><br/><a href='source/customform.html#jQuery-ui-customformUiCustomform-cfg-afterSaveDialog' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.customformUiCustomform-cfg-afterSaveDialog' class='name expandable'>afterSaveDialog</a> : Object<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Callback function which is called after the new form field values were successfully saved.</p>\n</div><div class='long'><p>Callback function which is called after the new form field values were successfully saved.</p>\n</div></div></div><div id='cfg-height' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.customformUiCustomform'>jQuery.ui.customformUiCustomform</span><br/><a href='source/customform.html#jQuery-ui-customformUiCustomform-cfg-height' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.customformUiCustomform-cfg-height' class='name expandable'>height</a> : Integer<span class=\"signature\"></span></div><div class='description'><div class='short'><p>An integer representing the height of the dialog.</p>\n</div><div class='long'><p>An integer representing the height of the dialog.</p>\n</div></div></div><div id='cfg-languageId' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.customformUiCustomform'>jQuery.ui.customformUiCustomform</span><br/><a href='source/customform.html#jQuery-ui-customformUiCustomform-cfg-languageId' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.customformUiCustomform-cfg-languageId' class='name expandable'>languageId</a> : Integer<span class=\"signature\"></span></div><div class='description'><div class='short'><p>An integer respresenting the ID of the currently active language.</p>\n</div><div class='long'><p>An integer respresenting the ID of the currently active language.</p>\n</div></div></div><div id='cfg-languages' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.customformUiCustomform'>jQuery.ui.customformUiCustomform</span><br/><a href='source/customform.html#jQuery-ui-customformUiCustomform-cfg-languages' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.customformUiCustomform-cfg-languages' class='name expandable'>languages</a> : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>A object representing the languages (id-name pairs, e.g. ...</div><div class='long'><p>A object representing the languages (id-name pairs, e.g. {'2' : 'English', '1' : 'Deutsch'}).</p>\n</div></div></div><div id='cfg-width' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.customformUiCustomform'>jQuery.ui.customformUiCustomform</span><br/><a href='source/customform.html#jQuery-ui-customformUiCustomform-cfg-width' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.customformUiCustomform-cfg-width' class='name expandable'>width</a> : Integer<span class=\"signature\"></span></div><div class='description'><div class='short'><p>An integer representing the width of the dialog.</p>\n</div><div class='long'><p>An integer representing the width of the dialog.</p>\n</div></div></div></div></div></div></div>","meta":{}});