Ext.data.JsonP.jQuery_ui_externalcontentUiExternalvideo({"tagname":"class","name":"jQuery.ui.externalcontentUiExternalvideo","autodetected":{},"files":[{"filename":"externalvideo.js","href":"externalvideo.html#jQuery-ui-externalcontentUiExternalvideo"}],"extends":"jQuery.widget","uses":["de_epages","de_epages.externalcontent.ui.externalvideo","jQuery.tmpl","jQuery.ui.widget"],"since":"6.15.0","members":[{"name":"height","tagname":"cfg","owner":"jQuery.ui.externalcontentUiExternalvideo","id":"cfg-height","meta":{}},{"name":"id","tagname":"cfg","owner":"jQuery.ui.externalcontentUiExternalvideo","id":"cfg-id","meta":{}},{"name":"provider","tagname":"cfg","owner":"jQuery.ui.externalcontentUiExternalvideo","id":"cfg-provider","meta":{}},{"name":"width","tagname":"cfg","owner":"jQuery.ui.externalcontentUiExternalvideo","id":"cfg-width","meta":{}},{"name":"destroy","tagname":"method","owner":"jQuery.ui.externalcontentUiExternalvideo","id":"method-destroy","meta":{}}],"alternateClassNames":[],"aliases":{},"id":"class-jQuery.ui.externalcontentUiExternalvideo","short_doc":"Embed a video player with video from an extern provider. ...","component":false,"superclasses":["jQuery.widget"],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"html":"<div><pre class=\"hierarchy\"><h4>Hierarchy</h4><div class='subclass first-child'>jQuery.widget<div class='subclass '><strong>jQuery.ui.externalcontentUiExternalvideo</strong></div></div><h4>Uses</h4><div class='dependency'>de_epages</div><div class='dependency'>de_epages.externalcontent.ui.externalvideo</div><div class='dependency'>jQuery.tmpl</div><div class='dependency'>jQuery.ui.widget</div><h4>Files</h4><div class='dependency'><a href='source/externalvideo.html#jQuery-ui-externalcontentUiExternalvideo' target='_blank'>externalvideo.js</a></div></pre><div class='doc-contents'><p>Embed a video player with video from an extern provider.</p>\n\n<p>The Widget inserts a video player from YouTube, MyVideo, Dailymotion, vimeo, wideo or metacafe including a video id into the target element on which the widget is executed on.</p>\n\n<h3>Examples</h3>\n\n<p>The Widget is executed on a pageelement and is called with passing optional parameters. In this example a youtube video player with size 320:180 is implemented and contains a video from ePages.</p>\n\n<p>JavaScript:</p>\n\n<pre><code>jQuery.ready({\n        plugin: [ 'de_epages.externalcontent.ui.externalvideo' ],\n        DOM:    true\n    }, function($){\n        var widget = de_epages('&lt;div&gt;').externalcontentUiExternalvideo({\n            provider : \"youtube\",\n            id : \"UGhd7eZfrDA\",\n            width : 320,\n            height: 180\n        });\n});\n</code></pre>\n\n<p>The Widget is executed on a pageelement and is called with passing optional parameters. In this example a metacafe video player with size 560:315 (default) is implemented and contains a user-defined video.</p>\n\n<p>JavaScript:</p>\n\n<pre><code>jQuery.ready({\n        plugin: [ 'de_epages.externalcontent.ui.externalvideo' ],\n        DOM:    true\n    }, function($){\n        var widget = de_epages('&lt;div&gt;').externalcontentUiExternalvideo({\n            provider : \"metacafe\",\n            id : \"\"yt-2B1QxOmbMZ0/alf_tries_to_eat_the_cat\"\n        });\n});\n</code></pre>\n        <p>Available since: <b>6.15.0</b></p>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-cfg'>Config options</h3><div class='subsection'><div id='cfg-height' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.externalcontentUiExternalvideo'>jQuery.ui.externalcontentUiExternalvideo</span><br/><a href='source/externalvideo.html#jQuery-ui-externalcontentUiExternalvideo-cfg-height' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.externalcontentUiExternalvideo-cfg-height' class='name expandable'>height</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'>Defines the height of the embedded video player. ...</div><div class='long'><p>Defines the height of the embedded video player. Values: 'large', 'medium', 'small'</p>\n</div></div></div><div id='cfg-id' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.externalcontentUiExternalvideo'>jQuery.ui.externalcontentUiExternalvideo</span><br/><a href='source/externalvideo.html#jQuery-ui-externalcontentUiExternalvideo-cfg-id' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.externalcontentUiExternalvideo-cfg-id' class='name expandable'>id</a> : Required, String<span class=\"signature\"></span></div><div class='description'><div class='short'><p>A reference to the embedded video that is liked to be shown.</p>\n</div><div class='long'><p>A reference to the embedded video that is liked to be shown.</p>\n</div></div></div><div id='cfg-provider' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.externalcontentUiExternalvideo'>jQuery.ui.externalcontentUiExternalvideo</span><br/><a href='source/externalvideo.html#jQuery-ui-externalcontentUiExternalvideo-cfg-provider' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.externalcontentUiExternalvideo-cfg-provider' class='name expandable'>provider</a> : Required, String<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Specifies the provider whose video player will be used.</p>\n</div><div class='long'><p>Specifies the provider whose video player will be used.</p>\n</div></div></div><div id='cfg-width' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.externalcontentUiExternalvideo'>jQuery.ui.externalcontentUiExternalvideo</span><br/><a href='source/externalvideo.html#jQuery-ui-externalcontentUiExternalvideo-cfg-width' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.externalcontentUiExternalvideo-cfg-width' class='name expandable'>width</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'>Defines the width of the embedded video player. ...</div><div class='long'><p>Defines the width of the embedded video player. Values: 'large', 'medium', 'small'</p>\n</div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div id='method-destroy' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.externalcontentUiExternalvideo'>jQuery.ui.externalcontentUiExternalvideo</span><br/><a href='source/externalvideo.html#jQuery-ui-externalcontentUiExternalvideo-method-destroy' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.externalcontentUiExternalvideo-method-destroy' class='name expandable'>destroy</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>This method removes the container on which the Google-Plus button has been appended to. ...</div><div class='long'><p>This method removes the container on which the Google-Plus button has been appended to.</p>\n        <p>Available since: <b>6.15.0</b></p>\n</div></div></div></div></div></div></div>","meta":{}});