Ext.data.JsonP.jQuery_ui_uiDialog({"tagname":"class","name":"jQuery.ui.uiDialog","autodetected":{},"files":[{"filename":"dialog.js","href":"dialog.html#jQuery-ui-uiDialog"}],"extends":"jQuery.dialog","uses":["ep","ep.ui.form","ep.ui.input","jQuery.ui.dialog"],"since":"6.11.0","members":[{"name":"options","tagname":"cfg","owner":"jQuery.ui.uiDialog","id":"cfg-options","meta":{}}],"alternateClassNames":[],"aliases":{},"id":"class-jQuery.ui.uiDialog","short_doc":"Create a dialog. ...","component":false,"superclasses":["jQuery.dialog"],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"html":"<div><pre class=\"hierarchy\"><h4>Hierarchy</h4><div class='subclass first-child'>jQuery.dialog<div class='subclass '><strong>jQuery.ui.uiDialog</strong></div></div><h4>Uses</h4><div class='dependency'><a href='#!/api/ep' rel='ep' class='docClass'>ep</a></div><div class='dependency'>ep.ui.form</div><div class='dependency'>ep.ui.input</div><div class='dependency'>jQuery.ui.dialog</div><h4>Files</h4><div class='dependency'><a href='source/dialog.html#jQuery-ui-uiDialog' target='_blank'>dialog.js</a></div></pre><div class='doc-contents'><p>Create a dialog.</p>\n\n<p>The <code>.uiDialog()</code> method creates a dialog for each element in the set of matched elements.</p>\n\n<h3>Examples</h3>\n\n<p>Apply .uiDialog() with an Ok and Cancel Button to all divs with class dialog.</p>\n\n<p>JavaScript:</p>\n\n<pre><code>ep('div.dialog')\n    .uiDialog({\n        buttons: [\n         {text: 'Ok', click: function(){ alert('OK'); }},\n         {text: 'Cancel', click: function(){ alert('Cancel'); }}\n        ]\n    });\n\n// use identifier as button text\n\nep('div.dialog')\n    .uiDialog({\n        buttons: {\n         Ok:     {click: function(){ alert('OK'); }},\n         Cancel: {click: function(){ alert('Cancel'); }}\n        }\n    });\n</code></pre>\n\n<p>Apply .uiDialog() with an Ok and Cancel Button including a form handling.</p>\n\n<p>JavaScript:</p>\n\n<pre><code>ep('div.dialog')\n    .uiDialog({\n        form: {\n            action: '?ViewAction=MyExample',\n            method: 'post'\n        },\n        buttons:{\n         Ok:     {type: 'submit'},\n         Cancel: {click: function(){ ep(this).uiDialog('close'); }}\n        }\n    });\n</code></pre>\n        <p>Available since: <b>6.11.0</b></p>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-cfg'>Config options</h3><div class='subsection'><div id='cfg-options' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiDialog'>jQuery.ui.uiDialog</span><br/><a href='source/dialog.html#jQuery-ui-uiDialog-cfg-options' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiDialog-cfg-options' class='name expandable'>options</a> : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>A map of additional options pass to the method. ...</div><div class='long'><p>A map of additional options pass to the method.</p>\n<p>Defaults to: <code>{draggable: false, resizable: &quot;se&quot;, preventScroll: false}</code></p><ul><li><span class='pre'>form</span> : Object (optional)<div class='sub-desc'><p>A map of attributes passed to a form around the dialog.</p>\n</div></li><li><span class='pre'>closeText</span> : Boolean (optional)<div class='sub-desc'><p>A boolean indication whether to display the close button, with the default close text.</p>\n</div></li></ul></div></div></div></div></div></div></div>","meta":{}});